package Division;

import java.util.List;
import java.awt.event.ActionListener;

public interface DivisionCalculator {
	
	/**
	 * Calculate the share for each player and update each player accordingly. 
	 * @param money the money to divide among the players
	 */
	public void calculateShare(List<Claimer> claimers, double money, ActionListener finish);
	public String getDescriptor();
    public void stop();
    public void settings(ActionListener ul);
}
